<?xml version="1.0" encoding="utf-8"?>
<!-- Edited with FutureStage XBRL Solution Library .NET 01-11 -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_AccountPayableForWorksInProgressAndOtherCL_label" xlink:role="http://www.xbrl.org/2003/role/label">工事未払金等</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_AccountPayableForWorksInProgressAndOtherCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">工事未払金等、流動負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_AnnualBonusesRemunerationByCategoryOfDirectorsAndOtherOfficers_label" xlink:role="http://www.xbrl.org/2003/role/label">年次賞与</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_AnnualBonusesRemunerationByCategoryOfDirectorsAndOtherOfficers_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">年次賞与、役員区分ごとの報酬等</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_AssetsRelatedToReplacementInvestmentToOperatePublicFacilities_label" xlink:role="http://www.xbrl.org/2003/role/label">公共施設等運営事業の更新投資に係る資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_AssetsRelatedToReplacementInvestmentToOperatePublicFacilities_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">公共施設等運営事業の更新投資に係る資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_BuildingReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">建築事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_BuildingReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">建築事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_CivilEngineeringReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">土木事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_CivilEngineeringReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">土木事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_CurrentPortionOfNonRecourseLoans_label" xlink:role="http://www.xbrl.org/2003/role/label">1年内返済予定のノンリコース借入金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_CurrentPortionOfNonRecourseLoans_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">1年内返済予定のノンリコース借入金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_DecreaseInNonRecoursePayableFinCF_label" xlink:role="http://www.xbrl.org/2003/role/label">ノンリコース借入金の返済による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_DecreaseInNonRecoursePayableFinCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ノンリコース借入金の返済による支出、財務活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">人材の育成及び社内環境整備に関する方針に関する指標の内容並びに当該指標を用いた目標及び実績</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">人材の育成及び社内環境整備に関する方針に関する指標の内容並びに当該指標を用いた目標及び実績、指標及び目標 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label" xlink:role="http://www.xbrl.org/2003/role/label">サステナビリティに関する考え方及び取組</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">サステナビリティに関する考え方及び取組 [目次項目]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">サステナビリティに関する考え方及び取組</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">サステナビリティに関する考え方及び取組 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_EndoRyujiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">遠藤　隆嗣</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_EndoRyujiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">遠藤　隆嗣 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_GovernanceClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">ガバナンス、気候変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_GovernanceClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ガバナンス、気候変動 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_GovernanceTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">ガバナンス</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_GovernanceTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ガバナンス [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_HashimotoKeiichiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">橋本　圭一郎</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_HashimotoKeiichiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">橋本　圭一郎 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_HatakamaYujiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">幡鎌　裕二</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_HatakamaYujiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">幡鎌　裕二 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ImaizumiYasuhikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">今泉　保彦</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ImaizumiYasuhikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">今泉　保彦 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_IncreaseDecreaseInRetirementBenefitLiabilityAndAssetsOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">退職給付に係る負債及び資産の増減額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_IncreaseDecreaseInRetirementBenefitLiabilityAndAssetsOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">退職給付に係る負債及び資産の増減額、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_InfrastructureManagementReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">インフラ運営事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_InfrastructureManagementReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">インフラ運営事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_KatouYasuoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">加藤　保雄</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_KatouYasuoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">加藤　保雄 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_KibeKazunariMember_label" xlink:role="http://www.xbrl.org/2003/role/label">岐部　一誠</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_KibeKazunariMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">岐部　一誠 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesCL_label" xlink:role="http://www.xbrl.org/2003/role/label">公共施設等運営事業の更新投資に係る負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">公共施設等運営事業の更新投資に係る負債、流動負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesNCL_label" xlink:role="http://www.xbrl.org/2003/role/label">公共施設等運営事業の更新投資に係る負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesNCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">公共施設等運営事業の更新投資に係る負債、固定負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MachineryReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">機械事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MachineryReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">機械事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MaedaSojiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">前田　操治</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MaedaSojiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">前田　操治 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MetricsAndTargetsClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">指標及び目標、気候変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MetricsAndTargetsClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">指標及び目標、気候変動 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MetricsAndTargetsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">指標及び目標</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MetricsAndTargetsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">指標及び目標 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MoriyaKoichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">森谷　浩一</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MoriyaKoichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">森谷　浩一 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MurayamaRieMember_label" xlink:role="http://www.xbrl.org/2003/role/label">村山　利栄</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_MurayamaRieMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">村山　利栄 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NagumoMasajiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">南雲　政司</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NagumoMasajiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">南雲　政司 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NakanishiTakaoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">中西　隆夫</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NakanishiTakaoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">中西　隆夫 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NonRecourseLoans_label" xlink:role="http://www.xbrl.org/2003/role/label">ノンリコース借入金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NonRecourseLoans_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ノンリコース借入金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NotesAndAccountsReceivableTradeDueToLiquidation_label" xlink:role="http://www.xbrl.org/2003/role/label">受取手形及び売掛金の流動化に伴う譲渡高</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NotesAndAccountsReceivableTradeDueToLiquidation_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">受取手形及び売掛金の流動化に伴う譲渡高</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NotesRegardingNonRecourseLoansTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">ノンリコースローンに関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_NotesRegardingNonRecourseLoansTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ノンリコースローンに関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_PaymentsForReplacementInvestmentToOperatePublicFacilitiesInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">公共施設等運営事業の更新投資による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_PaymentsForReplacementInvestmentToOperatePublicFacilitiesInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">公共施設等運営事業の更新投資による支出、投資活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">人材の育成及び社内環境整備に関する方針</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">人材の育成及び社内環境整備に関する方針、戦略 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_PurchaseOfRightsToOperatePublicFacilitiesInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">公共施設等運営権の取得による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_PurchaseOfRightsToOperatePublicFacilitiesInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">公共施設等運営権の取得による支出、投資活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_label" xlink:role="http://www.xbrl.org/2003/role/label">保有目的、業務提携等の概要、定量的な保有効果及び株式数が増加した理由</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">保有目的、業務提携等の概要、定量的な保有効果及び株式数が増加した理由、保有目的が純投資目的以外の目的である特定投資株式の明細、最大保有会社</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationMetricsAndTargets_label" xlink:role="http://www.xbrl.org/2003/role/label">他の記載への参照</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationMetricsAndTargets_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">他の記載への参照、指標及び目標</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationRiskManagement_label" xlink:role="http://www.xbrl.org/2003/role/label">他の記載への参照</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationRiskManagement_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">他の記載への参照、リスク管理</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationStrategy_label" xlink:role="http://www.xbrl.org/2003/role/label">他の記載への参照</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationStrategy_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">他の記載への参照、戦略</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_RiskManagementClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">リスク管理、気候変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_RiskManagementClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">リスク管理、気候変動 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_RiskManagementTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">リスク管理</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_RiskManagementTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">リスク管理 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_RoadPavingReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">舗装事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_RoadPavingReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">舗装事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_SakaguchiShinyaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">坂口　伸也</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_SakaguchiShinyaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">坂口　伸也 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ShioiriMasaakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">塩入　正章</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_ShioiriMasaakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">塩入　正章 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_StrategyClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">戦略、気候変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_StrategyClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">戦略、気候変動 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_StrategyTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">戦略</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_StrategyTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">戦略 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_TakagiAtsushiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">髙木　敦</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_TakagiAtsushiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">髙木　敦 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_YonekuraSeiichiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">米倉　誠一郎</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E36723-000_YonekuraSeiichiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">米倉　誠一郎 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">会計方針の変更による累積的影響額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_RestatedBalance_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">会計方針の変更を反映した当期首残高</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="jppfs_cor_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_AccountPayableForWorksInProgressAndOtherCL" xlink:label="jpcrp030000-asr_E36723-000_AccountPayableForWorksInProgressAndOtherCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_AnnualBonusesRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:label="jpcrp030000-asr_E36723-000_AnnualBonusesRemunerationByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_AssetsRelatedToReplacementInvestmentToOperatePublicFacilities" xlink:label="jpcrp030000-asr_E36723-000_AssetsRelatedToReplacementInvestmentToOperatePublicFacilities" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_BuildingReportableSegmentMember" xlink:label="jpcrp030000-asr_E36723-000_BuildingReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_CivilEngineeringReportableSegmentMember" xlink:label="jpcrp030000-asr_E36723-000_CivilEngineeringReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_CurrentPortionOfNonRecourseLoans" xlink:label="jpcrp030000-asr_E36723-000_CurrentPortionOfNonRecourseLoans" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_DecreaseInNonRecoursePayableFinCF" xlink:label="jpcrp030000-asr_E36723-000_DecreaseInNonRecoursePayableFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="jpcrp030000-asr_E36723-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_EndoRyujiMember" xlink:label="jpcrp030000-asr_E36723-000_EndoRyujiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_GovernanceClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E36723-000_GovernanceClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_GovernanceTextBlock" xlink:label="jpcrp030000-asr_E36723-000_GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_HashimotoKeiichiroMember" xlink:label="jpcrp030000-asr_E36723-000_HashimotoKeiichiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_HatakamaYujiMember" xlink:label="jpcrp030000-asr_E36723-000_HatakamaYujiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_ImaizumiYasuhikoMember" xlink:label="jpcrp030000-asr_E36723-000_ImaizumiYasuhikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_IncreaseDecreaseInRetirementBenefitLiabilityAndAssetsOpeCF" xlink:label="jpcrp030000-asr_E36723-000_IncreaseDecreaseInRetirementBenefitLiabilityAndAssetsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_InfrastructureManagementReportableSegmentMember" xlink:label="jpcrp030000-asr_E36723-000_InfrastructureManagementReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_KatouYasuoMember" xlink:label="jpcrp030000-asr_E36723-000_KatouYasuoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_KibeKazunariMember" xlink:label="jpcrp030000-asr_E36723-000_KibeKazunariMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesCL" xlink:label="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesNCL" xlink:label="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_MachineryReportableSegmentMember" xlink:label="jpcrp030000-asr_E36723-000_MachineryReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_MaedaSojiMember" xlink:label="jpcrp030000-asr_E36723-000_MaedaSojiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E36723-000_MetricsAndTargetsClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_MetricsAndTargetsTextBlock" xlink:label="jpcrp030000-asr_E36723-000_MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_MoriyaKoichiMember" xlink:label="jpcrp030000-asr_E36723-000_MoriyaKoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_MurayamaRieMember" xlink:label="jpcrp030000-asr_E36723-000_MurayamaRieMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_NagumoMasajiMember" xlink:label="jpcrp030000-asr_E36723-000_NagumoMasajiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_NakanishiTakaoMember" xlink:label="jpcrp030000-asr_E36723-000_NakanishiTakaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_NonRecourseLoans" xlink:label="jpcrp030000-asr_E36723-000_NonRecourseLoans" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_NotesAndAccountsReceivableTradeDueToLiquidation" xlink:label="jpcrp030000-asr_E36723-000_NotesAndAccountsReceivableTradeDueToLiquidation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_NotesRegardingNonRecourseLoansTextBlock" xlink:label="jpcrp030000-asr_E36723-000_NotesRegardingNonRecourseLoansTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_PaymentsForReplacementInvestmentToOperatePublicFacilitiesInvCF" xlink:label="jpcrp030000-asr_E36723-000_PaymentsForReplacementInvestmentToOperatePublicFacilitiesInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="jpcrp030000-asr_E36723-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_PurchaseOfRightsToOperatePublicFacilitiesInvCF" xlink:label="jpcrp030000-asr_E36723-000_PurchaseOfRightsToOperatePublicFacilitiesInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:label="jpcrp030000-asr_E36723-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_ReferenceToOtherInformationMetricsAndTargets" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationMetricsAndTargets" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_ReferenceToOtherInformationRiskManagement" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationRiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_ReferenceToOtherInformationStrategy" xlink:label="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationStrategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_RiskManagementClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E36723-000_RiskManagementClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_RiskManagementTextBlock" xlink:label="jpcrp030000-asr_E36723-000_RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_RoadPavingReportableSegmentMember" xlink:label="jpcrp030000-asr_E36723-000_RoadPavingReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_SakaguchiShinyaMember" xlink:label="jpcrp030000-asr_E36723-000_SakaguchiShinyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_ShioiriMasaakiMember" xlink:label="jpcrp030000-asr_E36723-000_ShioiriMasaakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_StrategyClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E36723-000_StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_StrategyTextBlock" xlink:label="jpcrp030000-asr_E36723-000_StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_TakagiAtsushiMember" xlink:label="jpcrp030000-asr_E36723-000_TakagiAtsushiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E36723-000_2023-03-31_02_2023-06-21.xsd#jpcrp030000-asr_E36723-000_YonekuraSeiichiroMember" xlink:label="jpcrp030000-asr_E36723-000_YonekuraSeiichiroMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_AccountPayableForWorksInProgressAndOtherCL" xlink:to="jpcrp030000-asr_E36723-000_AccountPayableForWorksInProgressAndOtherCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_AccountPayableForWorksInProgressAndOtherCL" xlink:to="jpcrp030000-asr_E36723-000_AccountPayableForWorksInProgressAndOtherCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_AnnualBonusesRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="jpcrp030000-asr_E36723-000_AnnualBonusesRemunerationByCategoryOfDirectorsAndOtherOfficers_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_AnnualBonusesRemunerationByCategoryOfDirectorsAndOtherOfficers" xlink:to="jpcrp030000-asr_E36723-000_AnnualBonusesRemunerationByCategoryOfDirectorsAndOtherOfficers_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_AssetsRelatedToReplacementInvestmentToOperatePublicFacilities" xlink:to="jpcrp030000-asr_E36723-000_AssetsRelatedToReplacementInvestmentToOperatePublicFacilities_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_AssetsRelatedToReplacementInvestmentToOperatePublicFacilities" xlink:to="jpcrp030000-asr_E36723-000_AssetsRelatedToReplacementInvestmentToOperatePublicFacilities_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_BuildingReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_BuildingReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_BuildingReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_BuildingReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_CivilEngineeringReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_CivilEngineeringReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_CivilEngineeringReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_CivilEngineeringReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_CurrentPortionOfNonRecourseLoans" xlink:to="jpcrp030000-asr_E36723-000_CurrentPortionOfNonRecourseLoans_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_CurrentPortionOfNonRecourseLoans" xlink:to="jpcrp030000-asr_E36723-000_CurrentPortionOfNonRecourseLoans_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_DecreaseInNonRecoursePayableFinCF" xlink:to="jpcrp030000-asr_E36723-000_DecreaseInNonRecoursePayableFinCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_DecreaseInNonRecoursePayableFinCF" xlink:to="jpcrp030000-asr_E36723-000_DecreaseInNonRecoursePayableFinCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E36723-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E36723-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="jpcrp030000-asr_E36723-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_EndoRyujiMember" xlink:to="jpcrp030000-asr_E36723-000_EndoRyujiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_EndoRyujiMember" xlink:to="jpcrp030000-asr_E36723-000_EndoRyujiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_GovernanceClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E36723-000_GovernanceClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_GovernanceClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E36723-000_GovernanceClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_GovernanceTextBlock" xlink:to="jpcrp030000-asr_E36723-000_GovernanceTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_GovernanceTextBlock" xlink:to="jpcrp030000-asr_E36723-000_GovernanceTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_HashimotoKeiichiroMember" xlink:to="jpcrp030000-asr_E36723-000_HashimotoKeiichiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_HashimotoKeiichiroMember" xlink:to="jpcrp030000-asr_E36723-000_HashimotoKeiichiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_HatakamaYujiMember" xlink:to="jpcrp030000-asr_E36723-000_HatakamaYujiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_HatakamaYujiMember" xlink:to="jpcrp030000-asr_E36723-000_HatakamaYujiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ImaizumiYasuhikoMember" xlink:to="jpcrp030000-asr_E36723-000_ImaizumiYasuhikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ImaizumiYasuhikoMember" xlink:to="jpcrp030000-asr_E36723-000_ImaizumiYasuhikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_IncreaseDecreaseInRetirementBenefitLiabilityAndAssetsOpeCF" xlink:to="jpcrp030000-asr_E36723-000_IncreaseDecreaseInRetirementBenefitLiabilityAndAssetsOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_IncreaseDecreaseInRetirementBenefitLiabilityAndAssetsOpeCF" xlink:to="jpcrp030000-asr_E36723-000_IncreaseDecreaseInRetirementBenefitLiabilityAndAssetsOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_InfrastructureManagementReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_InfrastructureManagementReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_InfrastructureManagementReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_InfrastructureManagementReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_KatouYasuoMember" xlink:to="jpcrp030000-asr_E36723-000_KatouYasuoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_KatouYasuoMember" xlink:to="jpcrp030000-asr_E36723-000_KatouYasuoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_KibeKazunariMember" xlink:to="jpcrp030000-asr_E36723-000_KibeKazunariMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_KibeKazunariMember" xlink:to="jpcrp030000-asr_E36723-000_KibeKazunariMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesCL" xlink:to="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesCL" xlink:to="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesNCL" xlink:to="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesNCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesNCL" xlink:to="jpcrp030000-asr_E36723-000_LiabilitiesRelatedToReplacementInvestmentToOperatePublicFacilitiesNCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MachineryReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_MachineryReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MachineryReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_MachineryReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MaedaSojiMember" xlink:to="jpcrp030000-asr_E36723-000_MaedaSojiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MaedaSojiMember" xlink:to="jpcrp030000-asr_E36723-000_MaedaSojiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MetricsAndTargetsClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E36723-000_MetricsAndTargetsClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MetricsAndTargetsClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E36723-000_MetricsAndTargetsClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E36723-000_MetricsAndTargetsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E36723-000_MetricsAndTargetsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MoriyaKoichiMember" xlink:to="jpcrp030000-asr_E36723-000_MoriyaKoichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MoriyaKoichiMember" xlink:to="jpcrp030000-asr_E36723-000_MoriyaKoichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MurayamaRieMember" xlink:to="jpcrp030000-asr_E36723-000_MurayamaRieMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_MurayamaRieMember" xlink:to="jpcrp030000-asr_E36723-000_MurayamaRieMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NagumoMasajiMember" xlink:to="jpcrp030000-asr_E36723-000_NagumoMasajiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NagumoMasajiMember" xlink:to="jpcrp030000-asr_E36723-000_NagumoMasajiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NakanishiTakaoMember" xlink:to="jpcrp030000-asr_E36723-000_NakanishiTakaoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NakanishiTakaoMember" xlink:to="jpcrp030000-asr_E36723-000_NakanishiTakaoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NonRecourseLoans" xlink:to="jpcrp030000-asr_E36723-000_NonRecourseLoans_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NonRecourseLoans" xlink:to="jpcrp030000-asr_E36723-000_NonRecourseLoans_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NotesAndAccountsReceivableTradeDueToLiquidation" xlink:to="jpcrp030000-asr_E36723-000_NotesAndAccountsReceivableTradeDueToLiquidation_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NotesAndAccountsReceivableTradeDueToLiquidation" xlink:to="jpcrp030000-asr_E36723-000_NotesAndAccountsReceivableTradeDueToLiquidation_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NotesRegardingNonRecourseLoansTextBlock" xlink:to="jpcrp030000-asr_E36723-000_NotesRegardingNonRecourseLoansTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_NotesRegardingNonRecourseLoansTextBlock" xlink:to="jpcrp030000-asr_E36723-000_NotesRegardingNonRecourseLoansTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_PaymentsForReplacementInvestmentToOperatePublicFacilitiesInvCF" xlink:to="jpcrp030000-asr_E36723-000_PaymentsForReplacementInvestmentToOperatePublicFacilitiesInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_PaymentsForReplacementInvestmentToOperatePublicFacilitiesInvCF" xlink:to="jpcrp030000-asr_E36723-000_PaymentsForReplacementInvestmentToOperatePublicFacilitiesInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="jpcrp030000-asr_E36723-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="jpcrp030000-asr_E36723-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_PurchaseOfRightsToOperatePublicFacilitiesInvCF" xlink:to="jpcrp030000-asr_E36723-000_PurchaseOfRightsToOperatePublicFacilitiesInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_PurchaseOfRightsToOperatePublicFacilitiesInvCF" xlink:to="jpcrp030000-asr_E36723-000_PurchaseOfRightsToOperatePublicFacilitiesInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36723-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="jpcrp030000-asr_E36723-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationMetricsAndTargets" xlink:to="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationMetricsAndTargets_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationMetricsAndTargets" xlink:to="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationMetricsAndTargets_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationRiskManagement" xlink:to="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationRiskManagement_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationRiskManagement" xlink:to="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationRiskManagement_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationStrategy" xlink:to="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationStrategy_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationStrategy" xlink:to="jpcrp030000-asr_E36723-000_ReferenceToOtherInformationStrategy_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_RiskManagementClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E36723-000_RiskManagementClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_RiskManagementClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E36723-000_RiskManagementClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_RiskManagementTextBlock" xlink:to="jpcrp030000-asr_E36723-000_RiskManagementTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_RiskManagementTextBlock" xlink:to="jpcrp030000-asr_E36723-000_RiskManagementTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_RoadPavingReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_RoadPavingReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_RoadPavingReportableSegmentMember" xlink:to="jpcrp030000-asr_E36723-000_RoadPavingReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_SakaguchiShinyaMember" xlink:to="jpcrp030000-asr_E36723-000_SakaguchiShinyaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_SakaguchiShinyaMember" xlink:to="jpcrp030000-asr_E36723-000_SakaguchiShinyaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ShioiriMasaakiMember" xlink:to="jpcrp030000-asr_E36723-000_ShioiriMasaakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_ShioiriMasaakiMember" xlink:to="jpcrp030000-asr_E36723-000_ShioiriMasaakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_StrategyClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E36723-000_StrategyClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_StrategyClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E36723-000_StrategyClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_StrategyTextBlock" xlink:to="jpcrp030000-asr_E36723-000_StrategyTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_StrategyTextBlock" xlink:to="jpcrp030000-asr_E36723-000_StrategyTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_TakagiAtsushiMember" xlink:to="jpcrp030000-asr_E36723-000_TakagiAtsushiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_TakagiAtsushiMember" xlink:to="jpcrp030000-asr_E36723-000_TakagiAtsushiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_YonekuraSeiichiroMember" xlink:to="jpcrp030000-asr_E36723-000_YonekuraSeiichiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E36723-000_YonekuraSeiichiroMember" xlink:to="jpcrp030000-asr_E36723-000_YonekuraSeiichiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RestatedBalance" xlink:to="jppfs_cor_RestatedBalance_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>